/*
 * This file is part of ArmarX.
 *
 * ArmarX is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * ArmarX is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 *
 * @package    control::ArmarXObjects::pointing
 * @author     Patrick Dormanns ( patrick dot dormanns at student dot kit dot edu )
 * @date       2024
 * @copyright  http://www.gnu.org/licenses/gpl-2.0.txt
 *             GNU General Public License
 */

#pragma once


namespace armarx::control::pointing
{
    /**
    * @defgroup Library-pointing pointing
    * @ingroup control
    * A description of the library pointing.
    *
    * @class pointing
    * @ingroup Library-pointing
    * @brief Brief description of class pointing.
    *
    * Detailed description of class pointing.
    */
    class pointing
    {
    public:

    };

}
